import { PermissionString, Snowflake } from 'discord.js';
import { SilentClient } from '../client/SilentClient';
export declare abstract class Command {
    restricted: Array<{
        type: 'role' | 'user';
        id: Snowflake;
    }>;
    guildOnly: boolean;
    ownerOnly: boolean;
    desc: string;
    name: string;
    usage: string;
    nsfw: boolean;
    aliases: string[];
    hidden: boolean;
    dmOnly: boolean;
    userPermissions: PermissionString[];
    clientPermissions: PermissionString[];
    _className: string;
    protected _client: SilentClient;
    private initiated;
    protected constructor();
    /**
     * Initiate a new Command
     * @param client {SilentClient}
     * @private
     */
    _init(client: SilentClient): void;
    /**
     * Run the command
     */
    abstract run(...values: any[]): any;
}
