"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Command {
    constructor() {
        this.initiated = false;
    }
    /**
     * Initiate a new Command
     * @param client {SilentClient}
     * @private
     */
    _init(client) {
        this._client = client;
        if (!this.desc)
            this.desc = 'Default description.';
        if (!this.name)
            throw new Error('Command name has to be specified.');
        if (!this.usage)
            this.usage = `<prefix>${this.name}`;
        if (!this.hidden === undefined)
            this.hidden = false;
        if (!this.aliases)
            this.aliases = [];
        if (!this.userPermissions)
            this.userPermissions = [];
        if (!this.clientPermissions)
            this.clientPermissions = [];
        if (!this.restricted)
            this.restricted = [];
        if (!this.dmOnly)
            this.dmOnly = false;
        this.initiated = true;
    }
}
exports.Command = Command;
//# sourceMappingURL=Command.js.map